#!/usr/bin/perl

use strict;

my $primary = 'en_US.php';
my $secondary = $ARGV[0];
my %strings;

if ($#ARGV != 0) {
    die "Usage:  $0 sec_lang.php\n";
}

open(FILE, $secondary);
while (<FILE>) {
    chomp;
    next if (! /\$strings/);
    s/\$strings\[('.*')\]\[('.*')\](.*)/\$strings[$1][$2]/;
#    print "$_\n";
    $strings{$_} = 1;
}
close(FILE);

print "**** Needed Strings *****\n";

open(FILE, $primary);
while (<FILE>) {
    chomp;
    next if (! /\$strings/);
    s/\$strings\[('.*')\]\[('.*')\](.*)/\$strings[$1][$2]/;
    print $_ . $3 ."\n" if ($strings{$_} != 1);
    delete ($strings{$_});
}
close(FILE);

print "**** Extra Strings -- can be deleted *****\n";
foreach (keys(%strings)) {
    print "$_\n";
}
