<?php

//  Copyright (C) 2002-2006 Balint Kis (balint@k-i-s.net)
//  Copyright (C) 2005-2007 Solomon Peachy (pizza@shaftnet.org)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 3 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA


include_once "include/config.php";
;
include_once "include/common.php";
include_once "include/site.php";

$database = site_prolog(PO_USER_TYPE_USER);

$photo_id         = pg_escape_string($_REQUEST['photo']);
$version          = pg_escape_string($_REQUEST['version']);
$dupe_id          = pg_escape_string($_REQUEST['dupe']);
$storage_location = pg_escape_string($_REQUEST['storage_location']);
$storage_index    = pg_escape_string($_REQUEST['storage_index']);
$remark           = pg_escape_string($_REQUEST['remark']);

$date_of_creation = check_date_validity($_REQUEST['creation_timestamp']);

/* Check photo owner */
$data = pg_fetch_row(pg_query($database, "select users from photo where identifier = $photo_id"));

/* Ensure mere users don't move/mangle a photo that isn't theirs! */
if ($data[0] != $po_user['id'] && 
    $po_user['type'] < PO_USER_TYPE_ADMIN) {
  site_epilog($database);
  site_push_error($strings['errors']['not_owner']);
  header("Location: login.php");
  exit();
 }

$result = pg_query($database, "
    update photo_dupe
       set date_of_creation=$date_of_creation,
           storage_location='$storage_location',
           storage_index='$storage_index',
           remark='$remark'
     where identifier='$dupe_id'");

if (!$result) {
  site_push_error($strings['errors']['db_insert_failed']);
}

site_epilog($database);
header("Location: photo.php?photo=$photo_id&ver=$version&detail_info=3");
?>
