<?php

//  Copyright (C) 2002-2006 Balint Kis (balint@k-i-s.net)
//  Copyright (C) 2005-2007 Solomon Peachy (pizza@shaftnet.org)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 3 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

  /*****************************************************/
  /*   DO NOT CHANGE ANY OF THE VALUES IN THIS FILE    */
  /*****************************************************/

define("PO_ACCESS_PUBLIC", 1);
define("PO_ACCESS_PROTECTED", 2);
define("PO_ACCESS_PRIVATE", 3);

$access = array("public"    => PO_ACCESS_PUBLIC,
                "protected" => PO_ACCESS_PROTECTED,
                "private"   => PO_ACCESS_PRIVATE, 
                PO_ACCESS_PUBLIC => "public",
                PO_ACCESS_PROTECTED => "protected",
                PO_ACCESS_PRIVATE => "private",
		"Public" => "public",
		"Private" => "private",
		"Protected" => "protected" );

define("PO_CLIENT_PENDING", 1);
define("PO_CLIENT_ACCEPTED", 2);
define("PO_CLIENT_REJECTED", 3);

$client_status = array("pending"   => PO_CLIENT_PENDING,
                       "accepted"  => PO_CLIENT_ACCEPTED,
                       "rejected" => PO_CLIENT_REJECTED,
		       PO_CLIENT_PENDING => "Pending",
		       PO_CLIENT_ACCEPTED => "Accepted",
		       PO_CLIENT_REJECTED => "Rejected", 
		       "Pending" => "pending",
		       "Accepted" => "accepted",
		       "Rejected" => "rejected" );

define("PO_USER_TYPE_DISABLED", 1);
define("PO_USER_TYPE_CLIENT", 2);
define("PO_USER_TYPE_USER", 3);
define("PO_USER_TYPE_ADMIN", 4);

$po_user = array("id" => 0, 
		 "type" => PO_USER_TYPE_DISABLED,
		 "hide" => 'f',

		 "last_request" => 0,
		 "last_updated" => 0,

		 "username" => FALSE,
		 "first_name" => "",
		 "last_name" => "",
		 "company" => "",
		 "address1" => "",
		 "address2" => "",
		 "city" => "",
		 "zipcode" => "",
		 "state" => "",
		 "country" => "",
		 "phone" => "",
		 "email" => "",
		 "url" => "",

		 "passwords" => array(),

		 "spool_album" => FALSE,
		 "trash_folder" => FALSE,

		 "auto_login" => FALSE,
		 "session_id" => FALSE,

		 );

$strings = array();
$thm_elem = array();
$passwords = "";

$realpath = dirname($_SERVER['SCRIPT_FILENAME']) . "/im" ;
$icc_profiles = array("1"  => array("name" => "sRGB",     "file" => $realpath . "/sRGB.icm"),
                      "2"  => array("name" => "Adobe RGB 1998", "file" => $realpath. "/AdobeRGB1998.icc"),
                      "3"  => array("name" => "Nikon Base NEF", "file" => $realpath . "/NKDBase_NEF.icm"),
                      "4"  => array("name" => "Kodak ProPhoto RGB", "file" => $realpath . "/ProPhoto.icm"),
                      "99" => array("name" => "Embedded", "file" => ""));

$generate_i18n_data = array();


/* PHP's internal symlink function is unreliable.  
   Some versions always create absolute symlinks, 
   while others create relative symlinks.  
   Sigh.  */

function po_symlink($src, $dest) {
  chdir(dirname($src));
  $src = escapeshellarg(basename($src));
  $dest = escapeshellarg($dest);
  $retval;
  system("ln -s $src $dest", $retval);
  
  return ($retval == 0);
}


?>
