<?php

//  Copyright (C) 2002-2006 Balint Kis (balint@k-i-s.net)
//  Copyright (C) 2005-2007 Solomon Peachy (pizza@shaftnet.org)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 3 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/config.php";
include_once "include/color.php";
include_once "include/common.php";
include_once "include/orderby.php";
include_once "include/site.php";

$settings_user_data = array();

function settings_i18n_data() {
  global $settings_user_data;
  global $strings;

  $settings_user_data = array("identification" => array("idx" => 1, 'link' => "my.settings.php?selector=1", "alt" => $strings['user']['identification']),
			      "contact"        => array("idx" => 2, 'link' => "my.settings.php?selector=2", "alt" => $strings['user']['contact']),
			      "calendar"       => array("idx" => 3, 'link' => "my.settings.php?selector=3", "alt" => $strings['user']['calendar']),
			      "search"         => array("idx" => 4, 'link' => "my.settings.php?selector=4", "alt" => $strings['user']['search_engine']),
			      "photo_browser"  => array("idx" => 5, 'link' => "my.settings.php?selector=5", "alt" => $strings['user']['photo_browser']),
			      "photo_upload"   => array("idx" => 6, 'link' => "my.settings.php?selector=6", "alt" => $strings['user']['photo_upload']),
			      "printer"        => array("idx" => 7, 'link' => "my.settings.php?selector=7", "alt" => $strings['user']['printing']));
}

$generate_i18n_data[] = "settings_i18n_data";

$database = site_prolog(PO_USER_TYPE_CLIENT);

$selector  = isset($_REQUEST['selector']) ? $_REQUEST['selector'] : 1;

$registration_error = 0;

$save_settings                = isset($_REQUEST['save_settings']) ? $_REQUEST['save_settings'] : FALSE;

$password_1                   = isset($_REQUEST['password_1']) ? $_REQUEST['password_1'] : "";
$password_2                   = isset($_REQUEST['password_2']) ? $_REQUEST['password_2'] : "";

if (isset($_REQUEST['hide'])) {
  $po_user['hide'] = $_REQUEST['hide'];
 }
if (isset($_REQUEST['address1'])) {
  $po_user['address1'] = $_REQUEST['address1'];
 }
if (isset($_REQUEST['address2'])) {
  $po_user['address2'] = $_REQUEST['address2'];
 }
if (isset($_REQUEST['city'])) {
  $po_user['city'] = $_REQUEST['city'];
 }
if (isset($_REQUEST['zipcode'])) {
  $po_user['zipcode'] = $_REQUEST['zipcode'];
 }
if (isset($_REQUEST['state'])) {
  $po_user['state'] = $_REQUEST['state'];
 }
if (isset($_REQUEST['country'])) {
  $po_user['country'] = $_REQUEST['country'];
 }
if (isset($_REQUEST['email'])) {
  $po_user['email'] = $_REQUEST['email'];
 }
if (isset($_REQUEST['url'])) {
  $po_user['url'] = $_REQUEST['url'];
 }
if (isset($_REQUEST['phone'])) {
  $po_user['phone'] = $_REQUEST['phone'];
 }
if (isset($_REQUEST['first_name'])) {
  $po_user['first_name'] = $_REQUEST['first_name'];
 }
if (isset($_REQUEST['last_name'])) {
  $po_user['last_name'] = $_REQUEST['last_name'];
 }
if (isset($_REQUEST['company'])) {
  $po_user['company'] = $_REQUEST['company'];
 }
if (isset($_REQUEST['start_hour'])) {
  $po_options['start_hour'] = $_REQUEST['start_hour'];
 }
if (isset($_REQUEST['end_hour'])) {
  $po_options['end_hour'] = $_REQUEST['end_hour'];
 }
if (isset($_REQUEST['start_day'])) {
  $po_options['start_day'] = $_REQUEST['start_day'];
 }
if (isset($_REQUEST['download_expory_period'])) {
  $po_options['download_expory_period'] = $_REQUEST['download_expory_period'];
 }
if (isset($_REQUEST['search_engine_type'])) {
  $po_options['search_engine_type'] = $_REQUEST['search_engine_type'];
 }
if (isset($_REQUEST['search_enable_stemming'])) {
  $po_options['search_enable_stemming'] = $_REQUEST['search_enable_stemming'];
 }
if (isset($_REQUEST['paper'])) {
  $po_options['paper'] = $_REQUEST['paper'];
 }
if (isset($_REQUEST['label'])) {
  $po_options['label'] = $_REQUEST['label'];
 }
if (isset($_REQUEST['print_out'])) {
  $po_options['print_out'] = $_REQUEST['print_out'];  
 }
if (isset($_REQUEST['popup_enable'])) {
  $popup_enable = $_REQUEST['popup_enable'];
  if ($popup_enable != 'f') {
    $po_options['popup_enable'] = 't';
    $po_options['popup_delay'] = $popup_enable;
  } else {
    $po_options['popup_enable'] = 'f';
  }
 }

if (isset($_REQUEST['ufraw_gamma'])) {
  $po_options['ufraw_gamma'] = $_REQUEST['ufraw_gamma'];
 }
if (isset($_REQUEST['ufraw_gamma_linearity'])) {
  $po_options['ufraw_gamma_linearity'] = $_REQUEST['ufraw_gamma_linearity'];
 }
if (isset($_REQUEST['dcraw_brightness'])) {
  $po_options['dcraw_brightness'] = $_REQUEST['dcraw_brightness'];
 }
if (isset($_REQUEST['raw_white_balance'])) {
  $po_options['raw_white_balance'] = $_REQUEST['raw_white_balance'];
 }
if (isset($_REQUEST['extract_jpgfromraw'])) {
  $po_options['jpgfromraw'] = $_REQUEST['extract_jpgfromraw'];
 }
if (isset($_REQUEST['raw_bitdepth'])) {
  $po_options['raw_bitdepth'] = $_REQUEST['raw_bitdepth'];
 }
if (isset($_REQUEST['watermark_location'])) {
  $po_options['watermark_location'] = $_REQUEST['watermark_location'];
 }
if (isset($_REQUEST['watermark_brightness'])) {
  $po_options['watermark_brightness'] = $_REQUEST['watermark_brightness'];
 }
if (isset($_REQUEST['preview_format'])) {
  $po_options['preview_format'] = $_REQUEST['preview_format'];
 }
if (isset($_REQUEST['preview_quality'])) {
  $po_options['preview_quality'] = $_REQUEST['preview_quality'];
 }
if (isset($_REQUEST['preview_color_space'])) {
  $po_options['preview_color_space'] = $_REQUEST['preview_color_space'];
 }
if (isset($_REQUEST['preview_gamma'])) {
  $po_options['preview_gamma'] = $_REQUEST['preview_gamma'];
 }
if (isset($_REQUEST['preview_border_width'])) {
  $po_options['preview_border_width'] = $_REQUEST['preview_border_width'];
 }
if (isset($_REQUEST['preview_border_height'])) {
  $po_options['preview_border_height'] = $_REQUEST['preview_border_height'];
 }
if (isset($_REQUEST['preview_border_color'])) {
  $po_options['preview_border_color'] = $_REQUEST['preview_border_color'];
 }
if (isset($_REQUEST['preview_sharpen_radius'])) {
  $po_options['preview_sharpen_radius'] = $_REQUEST['preview_sharpen_radius'];
 }
if (isset($_REQUEST['preview_sharpen_sigma'])) {
  $po_options['preview_sharpen_sigma'] = $_REQUEST['preview_sharpen_sigma'];
 }
if (isset($_REQUEST['preview_sharpen_amount'])) {
  $po_options['preview_sharpen_amount'] = $_REQUEST['preview_sharpen_amount'];
 }
if (isset($_REQUEST['preview_sharpen_threshold'])) {
  $po_options['preview_sharpen_threshold'] = $_REQUEST['preview_sharpen_threshold'];
 }
if (isset($_REQUEST['preview_copy_metadata'])) {
  $po_options['preview_copy_metadata'] = $_REQUEST['preview_copy_metadata'];
 }
if (isset($_REQUEST['thumb_format'])) {
  $po_options['thumb_format'] = $_REQUEST['thumb_format'];
 }
if (isset($_REQUEST['thumb_quality'])) {
  $po_options['thumb_quality'] = $_REQUEST['thumb_quality'];
 }
if (isset($_REQUEST['thumb_color_space'])) {
  $po_options['thumb_color_space'] = $_REQUEST['thumb_color_space'];
 }
if (isset($_REQUEST['thumb_gamma'])) {
  $po_options['thumb_gamma'] = $_REQUEST['thumb_gamma'];
 }
if (isset($_REQUEST['thumb_border_width'])) {
  $po_options['thumb_border_width'] = $_REQUEST['thumb_border_width'];
 }
if (isset($_REQUEST['thumb_border_height'])) {
  $po_options['thumb_border_height'] = $_REQUEST['thumb_border_height'];
 }
if (isset($_REQUEST['thumb_border_color'])) {
  $po_options['thumb_border_color'] = $_REQUEST['thumb_border_color'];
 }
if (isset($_REQUEST['thumb_sharpen_radius'])) {
  $po_options['thumb_sharpen_radius'] = $_REQUEST['thumb_sharpen_radius'];
 }
if (isset($_REQUEST['thumb_sharpen_sigma'])) {
  $po_options['thumb_sharpen_sigma'] = $_REQUEST['thumb_sharpen_sigma'];
 }
if (isset($_REQUEST['thumb_sharpen_amount'])) {
  $po_options['thumb_sharpen_amount'] = $_REQUEST['thumb_sharpen_amount'];
 }
if (isset($_REQUEST['thumb_sharpen_threshold'])) {
  $po_options['thumb_sharpen_threshold'] = $_REQUEST['thumb_sharpen_threshold'];
 }

/* Store any updated values! */
site_update_session();

$all_states    = pg_query($database, "select identifier, value from state order by value");
$all_countries = pg_query($database, "select identifier, value from country order by value");
$all_papers = pg_query($database, "select identifier, name from paper");
$all_labels = pg_query($database, "
    select label.identifier,
           (select name from manufacturer where identifier=label.manufacturer),
           label.name, paper.name
      from label, paper
     where label.paper=paper.identifier");

if ($save_settings != "true") {
  refresh_user_prefs($database);
  site_update_session();
} else {
  pg_query($database, "begin");

  switch ($selector) {
  case $settings_user_data['identification']['idx']:
    if (($password_2 != $password_1) &&
	(($password_2 != "") || ($password_1 != ""))) {
      site_push_error($strings['errors']['password_mismatch']);
      $registration_error = 1;
    } elseif (($po_user['first_name'] == "") || ($po_user['last_name'] == "")) {
      site_push_error($strings['errors']['name_mandatory']);
      $registration_error = 1;
    } elseif ($po_user['email'] == "") {
      site_push_error($strings['errors']['email_mandatory']);
      $registration_error = 1;
    } else {
      $result = pg_query($database, "update contact_info set email='$po_user[email]' where identifier=$po_user[contact_id]");
      $result = pg_query($database, "update users set first_name = '$po_user[first_name]', last_name = '$po_user[last_name]', password = '$password_1', hide='$po_user[hide]'
                                     where identifier = $po_user[id]");
    }
    break;
  case $settings_user_data['contact']['idx']:
    $result = pg_query($database, "update contact_info set address1='$po_user[address1]', address2='$po_user[address2]', city='$po_user[city]',
                                   zipcode='$po_user[zipcode]', state=$po_user[state], country=$po_user[country], phone='$po_user[phone]', url='$po_user[url]'
                                   where identifier=$po_user[contact_id]");
    $result = pg_query($database, "update users set company='$company' where identifier=$po_user[id]");
    break;
  case $settings_user_data['calendar']['idx']:
    $result = store_user_pref($database, $po_user['id'], 'start_hour', $po_options['start_hour']);
    $result = store_user_pref($database, $po_user['id'], 'end_hour', $po_options['end_hour']);
    $result = store_user_pref($database, $po_user['id'], 'start_day', $po_options['start_day']);
    break;
  case $settings_user_data['search']['idx']:
    $result = store_user_pref($database, $po_user['id'], 'search_enable_stemming', $po_options['search_enable_stemming']);
    $result = store_user_pref($database, $po_user['id'], 'search_default_mode', $po_options['search_default_mode']);
    break;
  case $settings_user_data['photo_browser']['idx']:
    $result = store_user_pref($database, $po_user['id'], 'popup_enable', $po_options['popup_enable']);
    $result = store_user_pref($database, $po_user['id'], 'popup_delay', $po_options['popup_delay']);
    $result = store_user_pref($database, $po_user['id'], 'photos_per_page', $po_options['photos_per_page']);
    $result = store_user_pref($database, $po_user['id'], 'rows_list_view', $po_options['rows_list_view']);
    $result = store_user_pref($database, $po_user['id'], 'photo_view', $po_options['photo_view']);
    $result = store_user_pref($database, $po_user['id'], 'order_by', $po_options['order_by']);
    break;
  case $settings_user_data['photo_upload']['idx']:
    if ($po_user['type'] >= PO_USER_TYPE_USER) {
      $result = store_user_pref($database, $po_user['id'], 'preview_format', $po_options['preview_format']);
      $result = store_user_pref($database, $po_user['id'], 'preview_quality', $po_options['preview_quality']);
      $result = store_user_pref($database, $po_user['id'], 'preview_color_space', $po_options['preview_color_space']);
      $result = store_user_pref($database, $po_user['id'], 'preview_gamma', $po_options['preview_gamma']);
      $result = store_user_pref($database, $po_user['id'], 'preview_sharpen_radius', $po_options['preview_sharpen_radius']);
      $result = store_user_pref($database, $po_user['id'], 'preview_sharpen_sigma', $po_options['preview_sharpen_sigma']);
      $result = store_user_pref($database, $po_user['id'], 'preview_sharpen_amount', $po_options['preview_sharpen_amount']);
      $result = store_user_pref($database, $po_user['id'], 'preview_sharpen_threshold', $po_options['preview_sharpen_threshold']);
      $result = store_user_pref($database, $po_user['id'], 'preview_border_width', $po_options['preview_border_width']);
      $result = store_user_pref($database, $po_user['id'], 'preview_border_height', $po_options['preview_border_height']);
      $result = store_user_pref($database, $po_user['id'], 'preview_border_color', $po_options['preview_border_color']);
      $result = store_user_pref($database, $po_user['id'], 'preview_copy_metadata', $po_options['preview_copy_metadata']);
      $result = store_user_pref($database, $po_user['id'], 'thumb_format', $po_options['thumb_format']);
      $result = store_user_pref($database, $po_user['id'], 'thumb_quality', $po_options['thumb_quality']);
      $result = store_user_pref($database, $po_user['id'], 'thumb_color_space', $po_options['thumb_color_space']);
      $result = store_user_pref($database, $po_user['id'], 'thumb_gamma', $po_options['thumb_gamma']);
      $result = store_user_pref($database, $po_user['id'], 'thumb_sharpen_radius', $po_options['thumb_sharpen_radius']);
      $result = store_user_pref($database, $po_user['id'], 'thumb_sharpen_sigma', $po_options['thumb_sharpen_sigma']);
      $result = store_user_pref($database, $po_user['id'], 'thumb_sharpen_amount', $po_options['thumb_sharpen_amount']);
      $result = store_user_pref($database, $po_user['id'], 'thumb_sharpen_threshold', $po_options['thumb_sharpen_threshold']);
      $result = store_user_pref($database, $po_user['id'], 'thumb_border_width', $po_options['thumb_border_width']);
      $result = store_user_pref($database, $po_user['id'], 'thumb_border_height', $po_options['thumb_border_height']);
      $result = store_user_pref($database, $po_user['id'], 'thumb_border_color', $po_options['thumb_border_color']);
      
      /* Watermarking options */
      $result = store_user_pref($database, $po_user['id'], 'watermark_location', $po_options['watermark_location']);
      $result = store_user_pref($database, $po_user['id'], 'watermark_brightness', $po_options['watermark_brightness']);

      /* Raw Options */
      $result = store_user_pref($database, $po_user['id'], 'ufraw_gamma', $po_options['ufraw_gamma']);
      $result = store_user_pref($database, $po_user['id'], 'ufraw_gamma_linearity', $po_options['ufraw_gamma_linearity']);
      $result = store_user_pref($database, $po_user['id'], 'dcraw_brightness', $po_options['dcraw_brightness']);
      $result = store_user_pref($database, $po_user['id'], 'raw_bitdepth', $po_options['raw_bitdepth']);
      $result = store_user_pref($database, $po_user['id'], 'raw_white_balance', $po_options['raw_white_balance']);
      $result = store_user_pref($database, $po_user['id'], 'jpgfromraw', $po_options['jpgfromraw']);
    }
    break;
  case $settings_user_data['printer']['idx']:
    if ($po_user['type'] >= PO_USER_TYPE_USER) {
      $result = store_user_pref($database, $po_user['id'], 'print_out', $po_options['print_out']);
      $result = store_user_pref($database, $po_user['id'], 'label', $po_options['label']);
      $result = store_user_pref($database, $po_user['id'], 'paper', $po_options['paper']);
    }
  }

  if (!$result) {
    pg_query($database, "rollback");
    site_epilog($database);
    if (!$registration_error) {
      site_push_error($strings['errors']['db_insert_failed']);
    }
    header("Location: my.settings.php?selector=$selector");
    exit();
  }
  pg_query($database, "commit");
 }

site_header($strings['generic']['my_settings']);
site_navigator(7);

site_navigator_status(emit_a("user.php", $strings['generic']['users'])." : ".$strings['generic']['my_settings'], "");

display_navigator_box_top($selector, $settings_user_data, "100%");

print "<form action=\"my.settings.php\" method=\"post\">\n";
print "<input type=\"hidden\" name=\"selector\" value=\"$selector\"/>\n";
print "<input type=\"hidden\" name=\"save_settings\" value=\"true\"/>\n";

switch ($selector) {
 case $settings_user_data['identification']['idx']:
   print "<table class=\"listing\">\n";
   print "<tr><td>".$strings['generic']['username']."</td><td>$po_user[username]</td></tr>\n";
   print "<tr><td>".$strings['user']['first_name']."</td>    <td><input type=\"text\"     name=\"first_name\" value=\"$po_user[first_name]\" /></td></tr>\n";
   print "<tr><td>".$strings['user']['last_name']."</td>     <td><input type=\"text\"     name=\"last_name\"  value=\"$po_user[last_name]\"/></td></tr>\n";
   print "<tr><td>".$strings['user']['email']."</td>         <td><input type=\"text\"     name=\"email\"      value=\"$po_user[email]\" /></td></tr>\n";
   print "<tr><td>".$strings['user']['hide'] ."</td><td>";
   display_yes_no_combo("hide", $po_user['hide']);
   print "</td></tr>";
   print "<tr><td></td><td></td></tr>";
   print "<tr><td>".$strings['generic']['password']."</td>   <td><input type=\"password\" name=\"password_1\" value=\"\"/></td></tr>\n";
   print "<tr><td>".$strings['generic']['password_again']."</td><td><input type=\"password\" name=\"password_2\" value=\"\"/></td></tr>\n";
   print "</table>\n";
   break;
 case $settings_user_data['contact']['idx']:
   print "<table class=\"listing\">\n";
   print "<tr><td>".$strings['user']['web']."</td>            <td><input type=\"text\" name=\"url\"     value=\"$po_user[url]\"/></td></tr>\n";
   print "<tr><td>".$strings['user']['phone']."</td>          <td><input type=\"text\" name=\"phone\"   value=\"$po_user[phone]\"/></td></tr>\n";
   print "<tr><td>".$strings['user']['company']."</td>        <td width=\"70%\"><input type=\"text\" name=\"company\" value=\"$po_user[company]\" /></td></tr>\n";
   print "<tr><td>".$strings['user']['address']."</td>";
   print "<td><input type=\"text\" name=\"address1\" value=\"$po_user[address1]\" />";
   print "<br/>";
   print "<input type=\"text\" name=\"address2\" value=\"$po_user[address2]\" />";
   print "</td></tr>\n";
   print "<tr><td>".$strings['user']['city']."</td>           <td><input type=\"text\" name=\"city\"    value=\"$po_user[city]\" /></td></tr>\n";
   print "<tr><td>".$strings['user']['post_code']."</td>        <td><input type=\"text\" name=\"zipcode\" value=\"$po_user[zipcode]\" /></td></tr>\n";
   print "<tr><td>".$strings['user']['state']."</td>          <td>"; display_combo("state", $all_states, $po_user['state'], "", 0); print"</td></tr>\n";
   print "<tr><td>".$strings['user']['country']."</td>        <td>"; display_combo("country", $all_countries, $po_user['country'], "", 0); print"</td></tr>\n";
   print "</table>\n";
   break;
 case $settings_user_data['calendar']['idx']:
   print "<table class=\"listing\">\n";
   print "<tr><td>".$strings['profile']['week_begins']."</td><td>";
   display_first_day_combo("start_day", $po_options['start_day']);
   print "</td></tr>\n";
   print "<tr><td>".$strings['profile']['start_hour']."</td><td>";
   display_hour_combo("start_hour", $po_options['start_hour'], FALSE);
   print "</td></tr>\n";
   print "<tr><td>".$strings['profile']['end_hour']."</td><td>";
   display_hour_combo("end_hour", $po_options['end_hour'], FALSE);
   print "</td></tr>\n";
   print "</table>\n";
   break;
 case $settings_user_data['search']['idx']:
   print "<table class=\"listing\">\n";
   print "<tr><td>".$strings['profile']['default_engine']."</td><td>";
   display_search_engine_type_combo("search_engine_type", $po_options['search_engine_type']);
   print "</td></tr>\n";
   print "<tr><td>".$strings['profile']['enable_stemming']."</td><td>";
   display_yes_no_combo("search_enable_stemming", $po_options['search_enable_stemming']);
   print "</td></tr>\n";
   print "</table>\n";
   break;
 case $settings_user_data['photo_browser']['idx']:
   print "<input type=\"hidden\" name=\"per_page_req\" value=\"true\"/>\n";
   print "<input type=\"hidden\" name=\"order_by_req\" value=\"true\"/>\n";
   print "<table class=\"listing\">\n";
   print "<tr><td>".$strings['profile']['popup_enable']."</td><td>";
   display_popup_delay_combo("popup_enable", $po_options['popup_delay'], $po_options['popup_enable']);
   print "</td></tr>\n";
   print "<tr><td>".$strings['profile']['photos_slide']."</td><td>";
   display_photos_per_page_combo("photos_per_page", $po_options['photos_per_page'], FALSE);
   print "</td></tr>\n";
   print "<tr><td>".$strings['profile']['photos_list']."</td><td>";
   display_photos_per_page_combo("rows_list_view", $po_options['rows_list_view'], FALSE);
   print "</td></tr>\n";
   print "<tr><td>".$strings['profile']['default_view']."</td><td>";
   print "<input type=\"radio\" name=\"photo_view\" value=\"slide\" ". ($po_options['photo_view'] == 'slide' ? "checked=\"checked\" " : "") ." />".$strings['generic']['slide_view']."<br/>";
   print "<input type=\"radio\" name=\"photo_view\" value=\"list\" ". ($po_options['photo_view'] == 'list' ? "checked=\"checked\" " : "") ." />".$strings['generic']['list_view'];
   print "</td></tr>";
   print "<tr><td>".$strings['profile']['default_sort']."</td><td>";
   display_order_by_combo($po_options['order_by']);
   print "</td></tr>\n";
   print "</table>\n";
   break;
 case $settings_user_data['photo_upload']['idx']:
   if ($po_user['type'] >= PO_USER_TYPE_USER) {

     /* PHOTO UPLOAD OPTINS */
     print "<table class=\"listing2\">\n";
     print "<tr class=\"folder_top\">";
     print "<th width=\"30%\">".$strings['profile']['upload_options']."</th>";
     print "<th width=\"35%\">".$strings['profile']['thumbnail']."</th>";
     print "<th width=\"35%\">".$strings['profile']['preview']."</th>";
     print "</tr>\n";

     print "<tr><td>".$strings['profile']['gamma']."</td><td>";
     print emit_float_combo("thumb_gamma", $po_options['thumb_gamma'],
			    0.8, 2.3, 0.10);
     print "</td><td>";
     print emit_float_combo("preview_gamma", $po_options['preview_gamma'],
			    0.8, 2.3, 0.10);
     print "</td></tr>\n";

     print "<tr><td>".$strings['profile']['sharpening']."</td><td>";
     print emit_float_combo("thumb_sharpen_radius", $po_options['thumb_sharpen_radius'],
			    0.05, 3, 0.05);
     print " x ";
     print emit_float_combo("thumb_sharpen_sigma", $po_options['thumb_sharpen_sigma'],
			    0.05, 3, 0.05);
     print " + ";
     print emit_float_combo("thumb_sharpen_amount", $po_options['thumb_sharpen_amount'],
			    0, 5, 0.10);
     print " + ";
     print emit_float_combo("thumb_sharpen_threshold", $po_options['thumb_sharpen_threshold'],
			    0, 1, 0.05);
     print "</td><td>";
     print emit_float_combo("preview_sharpen_radius", $po_options['preview_sharpen_radius'],
			    0.05, 3, 0.05);
     print " x ";
     print emit_float_combo("preview_sharpen_sigma", $po_options['preview_sharpen_sigma'],
			    0.05, 3, 0.05);
     print " + ";
     print emit_float_combo("preview_sharpen_amount", $po_options['preview_sharpen_amount'],
			    0, 5, 0.10);
     print " + ";
     print emit_float_combo("preview_sharpen_threshold", $po_options['preview_sharpen_threshold'],
			    0, 1, 0.05);
     print "</td></tr>\n";

     print "<tr><td>".$strings['profile']['border']."</td><td>";
     display_im_border_combo("thumb_border_width", $po_options['thumb_border_width']);
     print " x ";
     display_im_border_combo("thumb_border_height", $po_options['thumb_border_height']);
     print " & ";
     display_im_color_combo("thumb_border_color", $po_options['thumb_border_color']);     
     print "</td><td>";
     display_im_border_combo("preview_border_width", $po_options['preview_border_width']);
     print " x ";
     display_im_border_combo("preview_border_height", $po_options['preview_border_height']);
     print " & ";
     display_im_color_combo("preview_border_color", $po_options['preview_border_color']);
     print "</td></tr>\n";

     print "<tr><td>".$strings['profile']['format']."</td><td>";
     print emit_filetype_combo('thumb_format', $po_options['thumb_format']);
     print "</td><td>";
     print emit_filetype_combo('preview_format', $po_options['preview_format']);
     print "</td></tr>\n";
     print "<tr><td>".$strings['profile']['quality'];
     print "</td><td>";
     display_im_quality_combo("thumb_quality", $po_options['thumb_quality']);
     print "</td><td>";
     display_im_quality_combo("preview_quality", $po_options['preview_quality']);
     print "</td></tr>\n";

     print "<tr><td>".$strings['profile']['colorspace']."</td><td>";
     display_im_colorspace_combo("thumb_color_space", $po_options['thumb_color_space']);
     print "</td><td>";
     display_im_colorspace_combo("preview_color_space", $po_options['preview_color_space']);
     print "</td></tr>\n";

     print "<tr><td>".$strings['profile']['metadata']."</td>";
     print "<td>".$strings['generic']['no']."</td>";
     print "<td>";
     print display_yes_no_combo("preview_copy_metadata", $po_options['preview_copy_metadata']);
     print "</td></tr>\n";
     print "</table>\n";

     /* RAW OPTIONS */
     print "<table class=\"listing\">\n";
     print "<tr class=\"folder_top\"><th colspan=\"3\">".$strings['profile']['raw_options']."</th></tr>\n";

     print "<tr><td>".$strings['profile']['raw_decoder']."</td><td>";
     print "$raw_decoder";
     print "</td></tr>\n";

     print "<tr><td>".$strings['profile']['jpgfromraw']."</td><td>";
     print display_yes_no_combo("extract_jpgfromraw", $po_options['jpgfromraw']);
     print "</td></tr>\n";

     print "<tr><td>".$strings['profile']['white_balance']."</td><td>";
     display_dcraw_white_balance_combo("raw_white_balance", $po_options['raw_white_balance']);
     print "</td></tr>\n";

     print "<tr><td>".$strings['profile']['bitdepth']."</td><td>";
     display_dcraw_bitdepth_combo("raw_bitdepth", $po_options['raw_bitdepth']);
     print "</td></tr>\n";

     // DCRAW-specific
     print "<tr><td>".$strings['profile']['brightness']."</td><td>";
     print emit_float_combo("dcraw_brightness", $po_options['dcraw_brightness'],
			    0, 3, 0.05);
     print "</td></tr>\n";

     // UFRAW-specific.
     print "<tr><td>".$strings['profile']['raw_gamma']."</td><td>";
     print emit_float_combo("ufraw_gamma", $po_options['ufraw_gamma'],
			    0, 1, 0.01);
     print "</td></tr>\n";
     print "<tr><td>".$strings['profile']['raw_gamma_lin']."</td><td>";
     print emit_float_combo("ufraw_gamma_linearity", $po_options['ufraw_gamma_linearity'],
			    0, 1, 0.01);
     print "</td></tr>\n";

     print "</table>\n";

     /* WATERMARKING OPTIONS */
     print "<table class=\"listing\">\n";
     print "<tr><th colspan=\"3\">".$strings['profile']['watermark_options']."</th></tr>\n";

     if ($po_options['watermark_photo'] > 0) {
       print "<tr><td>".$strings['profile']['watermark_photo']."</td>";
       print "<td><a class=\"nodecor\" href=\"photo.php?ver=$po_options[watermark_photo]\"><img src=\"image.display.php?ver=$po_options[watermark_photo]&amp;size=1\" alt=\"watermark\"/></a>";
       print "</td></tr>";
     }

     print "<tr><td>".$strings['profile']['watermark_brightness']."</td><td>";
     display_im_watermark_brightness("watermark_brightness", $po_options['watermark_brightness']);
     print "</td></tr>\n";

     print "<tr><td>".$strings['profile']['watermark_mask']."</td><td>";
     display_im_watermark_mask_location("watermark_location", $po_options['watermark_location']);
     print "</td></tr>\n";

     print "</table>\n";
   }
   break;
 case $settings_user_data['printer']['idx']:
   if ($po_user['type'] >= PO_USER_TYPE_USER) {
     print "<table class=\"listing\">\n";
     print "<tr><td>".$strings['profile']['print_format']."</td><td>";
     display_print_format_combo("print_out", $po_options['print_out']);
     print "</td></tr>\n";
     print "<tr><td>".$strings['profile']['print_paper'] ."</td><td>";
     display_combo("paper", $all_papers, $po_options['paper'], ", ", 1);
     print "</td></tr>\n";
     print "<tr><td>".$strings['profile']['print_label'] ."</td><td>";
     display_combo("label", $all_labels, $po_options['label'], ", ", 1);
     print "</td></tr>\n";
     print "</table>\n";
   }
}

print $thm_elem['button.save.changes'];
print "</form>\n";

display_navigator_box_bottom("100%");

site_footer($database);
site_epilog($database);
?>
