
--  Copyright (C) 2002, 2003, 2004, 2005, 2006 Balint Kis (balint@k-i-s.net)

--  This program is free software; you can redistribute it and/or modify
--  it under the terms of the GNU General Public License as published by
--  the Free Software Foundation; either version 3 of the License, or
--  (at your option) any later version.

--  This program is distributed in the hope that it will be useful,
--  but WITHOUT ANY WARRANTY; without even the implied warranty of
--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--  GNU General Public License for more details.

--  You should have received a copy of the GNU General Public License
--  along with this program; if not, write to the Free Software
--  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

----------------------------------------------------------
-- v2.28 to v2.29 patch
----------------------------------------------------------

-- version upldate
update version set identifier=3, description='2.29 customer release', major=2, minor=29, variation='B';

update album set parent_album=null;

create function count_subalbums_by_album(integer) returns bigint
as 'select count(identifier) from album where parent_album = $1' language 'sql';
create function count_subalbums_by_album(integer, integer) returns bigint
as 'select count(identifier) from album where parent_album = $1 and access_rights <= $2' language 'sql';

update camera_type set raw_icc_profile=null;

update imagemagick_options set preview_sharpen_threshold = 0.05;
update imagemagick_options set thumb_sharpen_threshold = 0.00;
update imagemagick_options set preview_sharpen_amount = 1.7;
update imagemagick_options set thumb_sharpen_amount = 2.7;

update photo_item set deleted='f';

update preferences set download_counter=10 where download_counter is null;
update preferences set download_expiry_period=1095 where download_expiry_period is null;
